source: branches/backfire/package/mac80211/patches/002-disable_rfkill.patch @ 25966

Last change on this file since 25966 was 25966, checked in by nbd, 5 years ago

mac80211: sync with trunk (as of r25965)

File size: 1.4 KB
  • config.mk

    a b endif # build check 
    7474endif # kernel Makefile check 
    7575 
    7676# These both are needed by compat-wireless || compat-bluetooth so enable them 
    77  CONFIG_COMPAT_RFKILL=y 
     77# CONFIG_COMPAT_RFKILL=y 
    7878 
    7979ifeq ($(CONFIG_MAC80211),y) 
    8080$(error "ERROR: you have MAC80211 compiled into the kernel, CONFIG_MAC80211=y, as such you cannot replace its mac80211 driver. You need this set to CONFIG_MAC80211=m. If you are using Fedora upgrade your kernel as later version should this set as modular. For further information on Fedora see https://bugzilla.redhat.com/show_bug.cgi?id=470143. If you are using your own kernel recompile it and make mac80211 modular") 
    endif #CONFIG_COMPAT_KERNEL_27 
    623623# We need the backported rfkill module on kernel < 2.6.31. 
    624624# In more recent kernel versions use the in kernel rfkill module. 
    625625ifdef CONFIG_COMPAT_KERNEL_31 
    626 CONFIG_RFKILL_BACKPORT=m 
     626# CONFIG_RFKILL_BACKPORT=m 
    627627ifdef CONFIG_LEDS_TRIGGERS 
    628 CONFIG_RFKILL_BACKPORT_LEDS=y 
     628# CONFIG_RFKILL_BACKPORT_LEDS=y 
    629629endif #CONFIG_LEDS_TRIGGERS 
    630 CONFIG_RFKILL_BACKPORT_INPUT=y 
     630# CONFIG_RFKILL_BACKPORT_INPUT=y 
    631631endif #CONFIG_COMPAT_KERNEL_31 
    632632 
  • include/linux/rfkill.h

    a b  
    33 
    44#if (LINUX_VERSION_CODE >= KERNEL_VERSION(2,6,31)) 
    55 
     6#undef CONFIG_RFKILL 
     7#undef CONFIG_RFKILL_LEDS 
     8#undef CONFIG_RFKILL_MODULE 
     9 
    610#include_next <linux/rfkill.h> 
    711 
    812#else 
Note: See TracBrowser for help on using the repository browser.